{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine forward_event\r\n\r\nforward_event( Flag, FocusID )\r\nTparts = xlate( 'PROD_SPEC', .prod_spec_id->text, 'PART_NUMS', 'X' )\r\nTarray = .cust_part_nums->array\r\nTarray<2> = Tparts\r\n.cust_part_nums->array = Tarray\r\nRETURN 0"
        }
    }
}